Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 739504 - net-mail/dovecot-2.3.11.3 fails 'auth mech APOP' test
Summary: net-mail/dovecot-2.3.11.3 fails 'auth mech APOP' test
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Eray Aslan
URL: https://www.mail-archive.com/dovecot@...
Whiteboard:
Keywords: TESTFAILURE
Depends on:
Blocks: CVE-2020-12100, CVE-2020-12673, CVE-2020-12674
  Show dependency tree
 
Reported: 2020-08-29 15:52 UTC by Thomas Deutschmann
Modified: 2020-09-05 23:45 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Deutschmann gentoo-dev Security 2020-08-29 15:52:30 UTC
1 / 86 tests failed:

> test-mech.c:370: Assert(#1) failed: strcmp(test_case->username,username)
>         "testuser" != NULL
> test-mech.c:380: Assert(#1) failed: request->failed == FALSE
> auth mech APOP 2/84 .................................................. : FAILED
> 


Portage 3.0.4 (python 3.7.8-final-0, default/linux/x86/17.0, gcc-9.3.0, glibc-2.31-r6, 5.4.60-gentoo-x86-kmod i686)
=================================================================
System uname: Linux-5.4.60-gentoo-x86-kmod-i686-with-gentoo-2.6
KiB Mem:     3106040 total,   1176648 free
KiB Swap:    8875836 total,   8875060 free
Timestamp of repository gentoo: Sat, 29 Aug 2020 12:35:28 +0000
Head commit of repository gentoo: 12379b5f47de6706ec7688be6d482aa64aa377aa

sh bash 5.0_p18
ld GNU ld (Gentoo 2.33.1 p2) 2.33.1
ccache version 3.7.11 [disabled]
app-shells/bash:          5.0_p18::gentoo
dev-lang/perl:            5.30.3::gentoo
dev-lang/python:          2.7.18-r1::gentoo, 3.6.11-r2::gentoo, 3.7.8-r2::gentoo, 3.8.5::gentoo
dev-util/ccache:          3.7.11::gentoo
dev-util/cmake:           3.16.5::gentoo
dev-util/pkgconfig:       0.29.2::gentoo
sys-apps/baselayout:      2.6-r1::gentoo
sys-apps/openrc:          0.42.1::gentoo
sys-apps/sandbox:         2.18::gentoo
sys-devel/autoconf:       2.13-r1::gentoo, 2.69-r5::gentoo
sys-devel/automake:       1.16.1-r1::gentoo
sys-devel/binutils:       2.33.1-r1::gentoo
sys-devel/gcc:            9.3.0-r1::gentoo
sys-devel/gcc-config:     2.3.1::gentoo
sys-devel/libtool:        2.4.6-r6::gentoo
sys-devel/make:           4.2.1-r4::gentoo
sys-kernel/linux-headers: 5.4-r1::gentoo (virtual/os-headers)
sys-libs/glibc:           2.31-r6::gentoo

ABI="x86"
ABI_X86="32"
ACCEPT_KEYWORDS="x86"
Comment 2 Larry the Git Cow gentoo-dev 2020-09-05 23:45:24 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2fd41b355486a055f724150695e1cca74d0fdade

commit 2fd41b355486a055f724150695e1cca74d0fdade
Author:     Thomas Deutschmann <whissi@gentoo.org>
AuthorDate: 2020-09-05 23:19:23 +0000
Commit:     Thomas Deutschmann <whissi@gentoo.org>
CommitDate: 2020-09-05 23:45:17 +0000

    net-mail/dovecot: fix auth mech APOP
    
    Closes: https://bugs.gentoo.org/739504
    Package-Manager: Portage-3.0.4, Repoman-3.0.1
    Signed-off-by: Thomas Deutschmann <whissi@gentoo.org>

 net-mail/dovecot/dovecot-2.3.11.3.ebuild           |  2 +
 .../dovecot/files/dovecot-2.3.11.3-apop-fix.patch  | 60 ++++++++++++++++++++++
 2 files changed, 62 insertions(+)